class SkipObject:                           # Kolejny generator oparty na __iter__ + yield
    def __init__(self, wrapped):            # Zakres instancji zachowywany normalnie
        self.wrapped = wrapped              # Lokalny stan zapisywany automatycznie

    def __iter__(self):
        offset = 0
        while offset < len(self.wrapped):
            item = self.wrapped[offset]
            offset += 2
            yield item

